Skip to main content
POST
/
data
/
readings
Post Readings
curl --request POST \
  --url https://api-sandbox.axle.energy/data/readings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "readings": [
    {
      "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_timestamp": "2023-11-07T05:31:56Z",
      "end_timestamp": "2023-11-07T05:31:56Z",
      "value": 123,
      "label": "boundary_import_kw"
    }
  ]
}
'
{
  "responses": [
    {
      "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_timestamp": "2023-11-07T05:31:56Z",
      "end_timestamp": "2023-11-07T05:31:56Z",
      "label": "boundary_import_kw",
      "accepted": true,
      "error": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Readings data for multiple assets.

readings
ReadingDataPoint · object[]
required

List of readings to be submitted

Response

Successfully recorded readings with processing summary

Response model for a batch of readings submissions.

responses
ReadingResponse · object[]
required

List of responses for each reading submission